unit U_BaseInput;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs,U_WindowFormdesign, Data.DB,
  Data.Win.ADODB, System.ImageList, Vcl.ImgList, Vcl.ToolWin, Vcl.ComCtrls,
  cxImageList, cxGraphics;

type
  TfrmBaseInput = class(TForm)
    ADOQueryBaseCmd: TADOQuery;
    ADOQueryBaseTemp: TADOQuery;
    ImageList_new32: TImageList;
    cxImageList_bar: TcxImageList;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    fWindowDesign:TWindowFormdesign;
  public
    { Public declarations }
  end;

var
  frmBaseInput: TfrmBaseInput;


implementation
uses
  U_RTFun ,U_globalVar,U_dataLink,U_FormLayOutDesign;
{$R *.dfm}

procedure TfrmBaseInput.FormCreate(Sender: TObject);
var
  mFontSize:integer;
begin
   self.Color:=clBtnFace;
   //getSystemIni();
    self.DoubleBuffered:=gIsUseSkin;
    if gFontSize<9 then
    begin
      mFontSize := 9;
    end
    else
    begin
      mFontSize:=gFontSize ;
    end;
  if self.Font.Size<>gFontSize then
    self.Font.Size := gFontSize;
  if trim(gFontName)<>'' then
    self.Font.Name:=gFontName;
  fWindowDesign:=TWindowFormDeSign.Create();
end;

procedure TfrmBaseInput.FormDestroy(Sender: TObject);
begin
  fWindowDesign.free;
end;

procedure TfrmBaseInput.FormShow(Sender: TObject);
//var
 // thread:TThread;
begin
//    thread:=TThread.CreateAnonymousThread(
//    procedure
//    begin
//      TThread.Synchronize(nil,
//        procedure
//        begin
          if trim(gStructVer)='' then
            fWindowDesign.FormStyleInit1(self,0,ADOQueryBaseTemp,ADOQueryBaseCmd)
          else
            fWindowDesign.FormStyleInit(self,0,ADOQueryBaseTemp,ADOQueryBaseCmd) ;
//        end)
//    end);
//
//     thread.FreeOnTerminate := True;
//     thread.Start;


end;

end.
